#include <iostream>

using namespace std;

int main()
{
    bool p = true;
    int n, l, h[1050], rez;
    cin >> n >> l;
    for(int i = 1; i<=n; i++)
        cin >> h[i];
    for(int i = 1; i<=n; i++)
    {
        if(l>=h[i])
        {
            rez = i;
            p = false;
        }
    }
    if(p)
        rez = -1;
    cout << rez;
    return 0;
}